<!doctype html>
<html>
<head>
  <meta http-equiv="content-type" content="text/html;charset=UTF-8"/>
  <title>nginx代理跨域-VUE</title>
  <meta name="Keywords" content="关键词"/>
  <meta name="Description" content="描述"/>
  <link rel="stylesheet" type="text/css" href=" "/>
  <style type="text/css">
  
  </style>
  
</head>
<body>
<div>user input：<input type="text"></div>
 <script src="./socket.io.js"></script>
  <script>
var socket = io('http://www.domain2.com:8080');
// 连接成功处理
  socket.on('connect', function() {
   // 监听服务端消息
  socket.on('message', function(msg) {
  console.log('data from server: ---> ' + msg);
  });
   // 监听服务端关闭
  socket.on('disconnect', function() {
  console.log('Server socket has closed.');
  });
  });
document.getElementsByTagName('input')[0].onblur = function() {
 socket.send(this.value);
};
</script>
 </body>
</html>